# $NetBSD: Makefile.sun3,v 1.99 2005/12/11 12:19:20 christos Exp $

# Makefile for NetBSD
#
# This makefile is constructed from a machine description:
#	config machineid
# Most changes should be made in the machine description
#	/sys/arch/sun3/conf/``machineid''
# after which you should do
#	config machineid
# Machine generic makefile changes should be made in
#	/sys/arch/sun3/conf/Makefile.sun3
# after which config should be rerun for all machines of that type.
#
# To specify debugging, add the config line: makeoptions DEBUG="-g"
# A better way is to specify -g only for a few files.
#
#	makeoptions DEBUGLIST="uvm* trap if_*"

MACHINE_ARCH=m68k
USETOOLS?=	no
NEED_OWN_INSTALL_TARGET?=no
.include <bsd.own.mk>

##
## (1) port identification
##
SUN3=		$S/arch/sun3
GENASSYM_CONF=	${SUN3}/${MACHTYPE}/genassym.cf

##
## (2) compile settings
##
CPPFLAGS+=	-Dsun3
CFLAGS+=	${CMACHFLAGS} -msoft-float -fno-defer-pop
AFLAGS+=	-x assembler-with-cpp -traditional-cpp

##
## (3) libkern and compat
##
KERN_AS=	obj

##
## (4) local objects, compile rules, and dependencies
##
MD_OBJS=	locore.o
MD_CFILES=
MD_SFILES=	${SUN3}/${MACHTYPE}/locore.s

locore.o: ${SUN3}/${MACHTYPE}/locore.s
	${NORMAL_S}

##
## (5) link settings
##
.if ${MACHTYPE} == "sun3x"
TEXTADDR?=	F8004000
.else
TEXTADDR?=	0E004000
.endif
LINKFORMAT=	-N

##
## (6) port specific target dependencies
##

# For cross-compilation, the "gcc -M" mkdep script is convenient,
# but that does not correctly make rules from *.s files.  The
# easiest work-around is to just list those dependencies here.
locore.o:   assym.h m68k/asm.h m68k/trap.h
copy.o:     assym.h m68k/asm.h $S/sys/errno.h
bcopy.o:    assym.h m68k/asm.h
copypage.o: assym.h m68k/asm.h
lock_stubs.o: assym.h

# depend on CPU configuration
db_machdep.o dvma.o machdep.o pmap.o sun3_startup.o vm_machdep.o: Makefile

# depends on DDB, etc.
stub.o: Makefile

##
## (7) misc settings
##

##
## (8) config(8) generated machinery
##
%INCLUDES

%OBJS

%CFILES

%SFILES

%LOAD

%RULES

##
## (9) port independent kernel machinery
##
.include "$S/conf/Makefile.kern.inc"

##
## (10) Appending make options.
##
%MAKEOPTIONSAPPEND
